Bug 8178 - sendmail SRPM in not buildable by non-root.
Summary: sendmail SRPM in not buildable by non-root.
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Raw Hide
Classification: Retired
Component: sendmail (Show other bugs)
(Show other bugs)
Version: 1.0
Hardware: All Linux
low
low
Target Milestone: ---
Assignee: Cristian Gafton
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-01-04 23:35 UTC by Aleksey Nogin
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-02-05 20:55:30 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Aleksey Nogin 2000-01-04 23:35:10 UTC
% rpm --rebuild --clean --rmsource sendmail-8.9.3-16.src.rpm
...
+ strip /var/tmp/sendmail-root/usr/bin/makemap
/var/tmp/sendmail-root/usr/bin/rmail
strip: /var/tmp/sendmail-root/usr/bin/makemap: simple_copy: Permission
denied

% env LANG= ls -l /var/tmp/sendmail-root/usr/bin/makemap
-r-xr-xr-x   2 nogin    nogin       16004 Jan  4 18:33
/var/tmp/sendmail-root/usr/bin/makemap

If I try to rebuild sendmail-8.9.3-15.src.rpm (RH 6.1), I get the same
problem.

I am trying to rebuild sendmail RPMs on RH 5.2 with all updates installed.

Comment 1 Bill Nottingham 2000-02-05 20:55:59 UTC
Should be fixed in -18 build, in next Raw Hide release.


Note You need to log in before you can comment on or make changes to this bug.